(	
	Include "$scripts\Resources\IFWNormals.ms"
	Include "$scripts\Resources\QoL.ms"
	Include "$scripts\Resources\Animation.ms"

	settings = "$scripts\Resources\Settings.ini"
	version = "2.1a"

	if(getINISetting settings "UI Mode" "WideUI" as BooleanClass) then
	(
		rollout credits "Credits" --Wide UI
		(	
			label written "Written by" across:3
			label skincombine "Skin Combine by"
			label ifwn "IFW Normals by" offset:[5,0]

			label author1 "Korati#0652"across:3
			label author2 "Liinko"
			label author3 "Cattomic" offset:[5,0]
		)
	) else (
		rollout credits "Credits" --Thin UI
		(	
			label authors1 "Written by Korati#0652" align:#left
			label space1 ""
			label authors2 "Skin Combine/Detach by" align:#left
			label authors3 "Liinko"
			label space2 ""
			label authors4 "Face Weighted Normals" align:#left
			label authors5 "by Cattomic"
		)
	)

	fn calcHeight = 
	(		
		if(getINISetting settings "UI Mode" "WideUI" as BooleanClass) then --WideUI
		(
			height = 23
			if(getINISetting settings "Load Modules" "LoadQoL" as BooleanClass) then
			(
				if(getINISetting settings "Expand Modules" "ExpandQoL" as BooleanClass) then
					height += 142
				else height += 23
			)
			if(getINISetting settings "Load Modules" "LoadIFWNormals" as BooleanClass) then
			(
				if(getINISetting settings "Expand Modules" "ExpandIFWNormals" as BooleanClass) then
					height += 85
				else height += 23
			)		
			if(getINISetting settings "Load Modules" "LoadAnimation" as BooleanClass) then
			(
				if(getINISetting settings "Expand Modules" "ExpandAnimation" as BooleanClass) then
					height += 144
				else height += 23
			)
			return height
		) else ( --Thin UI
			height = 23
			if(getINISetting settings "Load Modules" "LoadQoL" as BooleanClass) then
			(
				if(getINISetting settings "Expand Modules" "ExpandQoL" as BooleanClass) then
					height += 231
				else height += 23
			)
			if(getINISetting settings "Load Modules" "LoadIFWNormals" as BooleanClass) then
			(
				if(getINISetting settings "Expand Modules" "ExpandIFWNormals" as BooleanClass) then
					height += 126
				else height += 23
			)		
			if(getINISetting settings "Load Modules" "LoadAnimation" as BooleanClass) then
			(
				if(getINISetting settings "Expand Modules" "ExpandAnimation" as BooleanClass) then
					height += 282
				else height += 23
			)
			return height
		)	
	)

	fn startUI =
	(	
		global floater = newRolloutFloater ("Version: " + version) 150 (calcHeight())
		
		if(getINISetting settings "UI Mode" "WideUI" as BooleanClass) do		
			floater.size = [300,(calcHeight())]
		
		if(getINISetting settings "Load Modules" "LoadQoL" as BooleanClass) do 
			addRollout QoL floater rolledUp:(not getINISetting settings "Expand Modules" "ExpandQoL" as BooleanClass)

		if(getINISetting settings "Load Modules" "LoadIFWNormals" as BooleanClass) do 
			addRollout normals floater rolledUp:(not getINISetting settings "Expand Modules" "ExpandIFWNormals" as BooleanClass)

		if(getINISetting settings "Load Modules" "LoadAnimation" as BooleanClass) do 
			addRollout animation floater rolledUp:(not getINISetting settings "Expand Modules" "ExpandAnimation" as BooleanClass)

		addRollout credits floater rolledUp:true
	)

	startUI()
)